;; -*-emacs-lisp-*-
;;
;; Emacs startup file, e.g.  /etc/emacs/site-start.d/50asterisk-app-conference.el
;; for the Debian asterisk-app-conference package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@debian.org>

;; The asterisk-app-conference package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(let ((package-dir (concat "/usr/share/"
                           (symbol-name flavor)
                           "/site-lisp/asterisk-app-conference")))
;; If package-dir does not exist, the asterisk-app-conference package must have
;; removed but not purged, and we should skip the setup.
  (when (file-directory-p package-dir)
        (setq load-path (cons package-dir load-path))
       (autoload 'asterisk-app-conference-mode "asterisk-app-conference-mode"
         "Major mode for editing asterisk-app-conference files." t)
       (add-to-list 'auto-mode-alist '("\\.asterisk-app-conference$" . asterisk-app-conference-mode))))

